# brawchannel.cc File Reference

## Detailed Description

Directs a named raw channel over STDIN/STDOUT.

Definition in file brawchannel.cc.

`#include <barry/barry.h>`
`#include <iostream>`
`#include <vector>`
`#include <string>`
`#include <cstring>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <algorithm>`
`#include <getopt.h>`
`#include <fstream>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <sys/time.h>`
`#include <unistd.h>`
`#include <signal.h>`
`#include <errno.h>`
`#include <pthread.h>`
`#include "i18n.h"`
`#include "platform.h"`

Include dependency graph for brawchannel.cc:

Go to the source code of this file.

## Classes

class | CallbackHandler
class | SignalRestorer